cmake_minimum_required(VERSION 2.6...3.29)
project(iff)

set(IFF_SOURCES
    bhav.c
    cats.c
    iff.c
    bcon.c
    dgrp.c
    fcns.c
    glob.c
    objf.c
    palt.c
    rsmp.c
    spr.c
    spr2.c
    str.c
    string.c
    tmpl.c
    trcn.c
)

add_library(iff STATIC ${IFF_SOURCES}) #remove static, cmake should deal with that
